EAPI EAPI_WEAK const Efl_Event_Description _EFL_UI_RANGE_EVENT_STEADY =
   EFL_EVENT_DESCRIPTION("steady");

static Eina_Error
__eolian_efl_ui_range_interactive_range_step_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   double cval;
   if (!eina_value_double_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_range_step_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_range_step_set, EFL_FUNC_CALL(step), double step);

static Eina_Value
__eolian_efl_ui_range_interactive_range_step_get_reflect(const Eo *obj)
{
   double val = efl_ui_range_step_get(obj);
   return eina_value_double_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_range_step_get, double, 0);

static Eina_Bool
_efl_ui_range_interactive_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_UI_RANGE_INTERACTIVE_EXTRA_OPS
#define EFL_UI_RANGE_INTERACTIVE_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_ui_range_step_set, NULL),
      EFL_OBJECT_OP_FUNC(efl_ui_range_step_get, NULL),
      EFL_UI_RANGE_INTERACTIVE_EXTRA_OPS
   );
   opsp = &ops;

   static const Efl_Object_Property_Reflection refl_table[] = {
      {"range_step", __eolian_efl_ui_range_interactive_range_step_set_reflect, __eolian_efl_ui_range_interactive_range_step_get_reflect},
   };
   static const Efl_Object_Property_Reflection_Ops rops = {
      refl_table, EINA_C_ARRAY_LENGTH(refl_table)
   };
   ropsp = &rops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_range_interactive_class_desc = {
   EO_VERSION,
   "Efl.Ui.Range_Interactive",
   EFL_CLASS_TYPE_INTERFACE,
   0,
   _efl_ui_range_interactive_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_range_interactive_interface_get, &_efl_ui_range_interactive_class_desc, NULL, EFL_UI_RANGE_DISPLAY_INTERFACE, NULL);
